

<script lang="ts">

import { Toast, getToastStore } from '@skeletonlabs/skeleton';
import { onMount, onDestroy, beforeUpdate } from 'svelte'
import { fade } from 'svelte/transition';
//
import { RadioGroup, RadioItem } from '@skeletonlabs/skeleton';
import { initializeStores } from '@skeletonlabs/skeleton';
import { storePopup } from '@skeletonlabs/skeleton';
import { TabGroup, Tab, TabAnchor } from '@skeletonlabs/skeleton';
import { Drawer, getDrawerStore } from '@skeletonlabs/skeleton';
import { setInitialClassState, autoModeWatcher } from '@skeletonlabs/skeleton';
import { LightSwitch } from '@skeletonlabs/skeleton';
import { page } from '$app/stores';
//
import { computePosition, autoUpdate, offset, shift, flip, arrow } from '@floating-ui/dom';
//
import "../app.css";
//

import { Modal, getModalStore } from '@skeletonlabs/skeleton';

import Leaf_Treasures from "$lib/Leafs/Treasures/Leaf.svelte"
import Leaf_Trends from "$lib/Leafs/Trends/Leaf.svelte"


import {
	lease_behavior_truck,
	destroy
} from '$lib/Behavior/Trucks'


let le_leaf = "Trends"

storePopup.set ({ computePosition, autoUpdate, offset, shift, flip, arrow });			
initializeStores ();

let behavior_truck_leased = "no"
onMount (async () => {
	autoModeWatcher ();
	setInitialClassState ()
	
	lease_behavior_truck ()
	behavior_truck_leased = "yes"
})
onDestroy (async () => {
	destroy ()
	behavior_truck_leased = "no"
})



</script>

{#if behavior_truck_leased === "yes" }
<div 
	in:fade={{ duration: 500 }} 
	class="app"
	style="
		display: flex;
		flex-direction: column;
		min-height: 100vh;
		margin: 0;
		padding: 0;
	"
>	
	<div 
		style="
			text-align: center;
			font-size: 2em;
			padding: 1cm;
		
		"
	>Prosthetic</div>

	
	
	<div
		style="
			display: flex;
			justify-content: center;
			padding: 0.25cm 0;
		"
	>
		<RadioGroup>
			<RadioItem bind:group={ le_leaf } name="justify" value={ "Trends" }>Trends</RadioItem>
			<RadioItem bind:group={ le_leaf } name="justify" value={ "Treasures" }>Treasures</RadioItem>
		</RadioGroup>
	</div>
		
	
	<div
		style="
			display: flex;
			flex-direction: column;
			min-height: 100%;
		"
	>
		<main style="min-height: 100vh">
			{#if le_leaf === "Treasures" }
			<Leaf_Treasures />
			{:else if le_leaf === "Trends" }
			<Leaf_Trends />
			{/if}
		</main>
		
		<hr class="!border-t-8 !border-double" />
	</div>
	
	<Modal />
	<Toast />
</div>
{/if}



<style>
	main {
		flex: 1;
		display: flex;
		flex-direction: column;
		padding: 1rem;
		width: 100%;
		max-width: 64rem;
		margin: 0 auto;
		box-sizing: border-box;
	}

	footer {
		display: flex;
		flex-direction: column;
		justify-content: center;
		align-items: center;
		padding: 12px;
	}
	
	@media (min-width: 480px) {
		footer {
			padding: 12px 0;
		}
	}
</style>